| Home | Libraries | People | FAQ | More

##### basic_static_string::find (5 of 5 overloads)

Find the first occurrence of a character within the string.

###### Synopsis

    constexpr size_type
    find(
        value_type c,
        size_type pos = 0) const;

###### Description

Finds the first occurrence of `c` within the string starting at the index `pos`.

###### Complexity

Linear.

###### Return Value

The index corrosponding to the first occurrence of `c` within `{begin() + pos, end())` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`c` | The character to search for.
`pos` | The index to start searching at. The default argument for this parameter is `0`.